<?php

namespace App\Controllers\Admin\Equipment;

use App\Entities\Equipment\LineEntity;
use CodeIgniter\HTTP\RequestInterface;
use CodeIgniter\HTTP\ResponseInterface;
use Psr\Log\LoggerInterface;
use RuntimeException;

class LineController extends EquipmentController
{
  public function initController(RequestInterface $request, ResponseInterface $response, LoggerInterface $logger)
  {
    parent::initController($request, $response, $logger);
    if ($this->service === null) {
      $this->service = service('equipment_lineservice');
    }
    $this->addActionPaths('line');
  }
  //기본 함수 작업
  //Custom 추가 함수
}
